Holger's Java API

## com.antelmann.sound
Class SoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.antelmann.sound.SoundException

All Implemented Interfaces:
  Serializable

    public class SoundException

extends Exception

SoundException is thrown by classes in this package wrapping other exceptions that may be thrown to ease usage. This class requires J2SE 1.4 as it takes advantage of the method getCause() in Throwable.

Author:
  Holger Antelmann
See Also:
  Serialized Form

Constructor Summary
`SoundException()`
`SoundException(String text)`
`SoundException(String text, Object sound, Throwable cause)` allows to pass the object along that caused the execption
`SoundException(String text, Throwable cause)` used if SoundException embedds another exception

Method Summary
`Object` `getSoundObject()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SoundException

    public SoundException()

### SoundException

    public SoundException(String text)

### SoundException

    public SoundException(String text,
                          Throwable cause)

  used if SoundException embedds another exception

### SoundException

    public SoundException(String text,
                          Object sound,
                          Throwable cause)

  allows to pass the object along that caused the execption

Method Detail

### getSoundObject

    public Object getSoundObject()

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads